/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.DetallePedidos;

import java.util.ArrayList;
import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * @author obper
 */
@Stateless
public class DetallePedidosFacade extends AbstractFacade<DetallePedidos> implements DetallePedidosFacadeLocal {

    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public DetallePedidosFacade() {
        super(DetallePedidos.class);
    }

    @Override
    public void guardarDetallePedido(DetallePedidos detFactura) {
        em.createNativeQuery("{CALL ingresa_detalle_pedido(?, ?, ?, ?, ?, ?, ?)}")
                .setParameter(1, detFactura.getDetallePedidosPK().getTerritorioe())
                .setParameter(2, detFactura.getDetallePedidosPK().getNumeroPedido())
                .setParameter(3, detFactura.getDetallePedidosPK().getProductoCodigo())
                .setParameter(4, detFactura.getDetallePedidosPK().getOfertaDetallePedido())
                .setParameter(5, detFactura.getCantidad())
                .setParameter(6, detFactura.getConDescuento())
                .setParameter(7, detFactura.getSinDescuentto()).executeUpdate();
    }

    @Override
    public List<DetallePedidos> ObtenerDetallePedido(String territorio, String numeroPedido) {
        List<DetallePedidos> rs = new ArrayList<>();
        Query q = em.createNamedQuery("DetallePedidos.findByNumeroPedidoBusk");
        q.setParameter("territorio", territorio);
        q.setParameter("numeroPedido", numeroPedido);
        rs.addAll(q.getResultList());

        return rs;

    }


}
